Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface DirectoryTree

    public interface DirectoryTree

A directory with some associated include and exclude patterns.

This interface does not allow mutation. However, the actual implementation may not be immutable.

Method Summary
`File` | `getDir()` Returns the base directory of this tree.
`PatternSet` | `getPatterns()` Returns the patterns which select the files under the base directory.

Method Detail

### getDir

    public File getDir()

  Returns the base directory of this tree.
  Returns:
    The base dir, never returns null.

### getPatterns

    public PatternSet getPatterns()

  Returns the patterns which select the files under the base directory.
  Returns:
    The patterns, never returns null.

Gradle API 1.1-rc-1